from glob import iglob as glob
from itertools import chain

from tornado.autoreload import watch


# yo dawg, we heard you like generators, so now you can generate generators
# with generators
def _static_files():
    return chain.from_iterable(
        glob(pattern) for pattern in (
            'static/*.js', 'static/*.css', 'templates/*htm?'
        )
    )


def watch_static_files():
    for file in _static_files():
        watch(file)
